.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.main {
    flex-grow: 1;
    padding: rem(40) 0;
}

.modal {
    color: $black;
    padding: rem(32);
    border-radius: 32px;
    max-width: 98%;

    .carousel__button {
        background: #F4F5F6;
        border-radius: 50%;
        top: rem(20) !important;
        right: rem(20) !important;

        svg {
            stroke: rgba(131, 136, 143, 1);
            filter: none;
        }
    }

    @include media-breakpoint-up(xl) {
        width: rem(1080);
    }
}

.evolution {
    color: $dark;
    padding: rem(40) 0;
    background: #EDF1F5;

    &__header {
        font-weight: 700;
        line-height: 125%;
        font-size: rem(32);
        margin-bottom: rem(14);
    }

    &__main {
        position: relative;
    }

    &__content {
        font-size: rem(16);
        line-height: rem(24);
        margin-bottom: rem(20);
    }

    &__switcher {
        display: none;
    }

    &__item {
        color: $white;
        background: $blue;
        font-weight: 400;
        font-size: 16px;
        line-height: 120%;
        border-radius: 14px;
        padding: rem(20) rem(20) rem(110) rem(20);
    }

    &__date {
        font-weight: 500;
        font-size: rem(20);
        line-height: 150%;
        margin-bottom: rem(15);
    }

    &__navigation {
        z-index: 50;
        font-size: 0;
        line-height: 0;
        padding: 0;
        left: rem(20);
        bottom: rem(20);
        width: rem(90);
        height: rem(40);
        position: absolute;
        border-radius: 20px;
        background: rgba(255, 255, 255, 0.12);
        border: 1px solid rgba(255, 255, 255, 0.31);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__nav {
        border: none;
        outline: none;
        width: rem(38);
        height: rem(38);
        border-radius: 50%;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(18);
            display: inline-block;
        }
    }

    .swiper-slide {
        height: auto;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(60);
        padding-bottom: rem(60);

        &__header {
            text-align: center;
            line-height: 120%;
            font-size: rem(42);
            margin-bottom: rem(30);
        }

        &__content {
            text-align: center;
            margin-bottom: rem(50);
        }

        &__item {
            font-size: rem(20);
        }

        &__date {
            font-weight: 500;
            font-size: rem(24);
            line-height: 150%;
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(50);
            line-height: rem(60);
        }

        &__content {
           font-size: rem(24);
            line-height: 140%;
        }

        &__date {
            display: none;
        }

        &__item {
            padding: rem(35);
            font-size: rem(24);
            line-height: 120%;
        }

        &__navigation {
            display: none;
        }

        &__switcher {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin: 0 rem(-2) rem(48) rem(-2);

            &__item {
                padding: 0 rem(2);
                flex-grow: 1;
            }
        }

        &__button {
            width: 100%;
            margin: 0;
            border: none;
            outline: none;
            height: rem(58);
            font-weight: 500;
            text-align: center;
            line-height: rem(30);
            font-size: rem(20);
            cursor: pointer;
            border-radius: 30px;
            text-decoration: none;
            background: $white;
            display: block;
            position: relative;
            padding: rem(17) rem(10) rem(11) rem(10);

            &:before {
                content: '';
                width: 50px;
                height: 57px;
                top: calc(100% + 19px);
                left: calc(50% - 25px);
                position: absolute;
                background: url("../img/evolution_arrow.svg") 50% 50% no-repeat;
                opacity: 0;
                visibility: hidden;
            }

            &.active {
                color: $white;
                background: $blue;

                &:before {
                    opacity: 1;
                    visibility: visible;
                }
            }
        }
    }
}



@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
